JKStatusUpdateTask (Tomcat API Documentation)
Keywords: org.apache.catalina.ant.JKStatusUpdateTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class JKStatusUpdateTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.BaseRedirectorHelperTask
                  org.apache.catalina.ant.AbstractCatalinaTask
                      org.apache.catalina.ant.JKStatusUpdateTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class JKStatusUpdateTask

extends AbstractCatalinaTask

Ant task that implements the `/status` command, supported by the mod_jk status (1.2.9) application.

Since:
  5.5.9
Version:
  $Revision: 467222 $
Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`charset, password, url, username`

Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JKStatusUpdateTask()`

Method Summary
`protected void` | `checkParameter()` check correct lb and worker pararmeter
`void` | `execute()` Execute the requested operation.
`int` | `getInternalid()`
`java.lang.Boolean` | `getLbForceSession()`
`java.lang.Integer` | `getLbRecovertime()`
`java.lang.Integer` | `getLbRetries()`
`java.lang.Boolean` | `getLbStickySession()`
`java.lang.String` | `getWorker()`
`java.lang.String` | `getWorkerClusterDomain()`
`java.lang.Boolean` | `getWorkerDisabled()`
`java.lang.String` | `getWorkerLb()`
`java.lang.Integer` | `getWorkerLoadFactor()`
`java.lang.String` | `getWorkerRedirect()`
`java.lang.Boolean` | `getWorkerStopped()`
`java.lang.String` | `getWorkerType()`
`void` | `setInternalid(int internalid)`
`void` | `setLbForceSession(java.lang.Boolean lbForceSession)`
`void` | `setLbRecovertime(java.lang.Integer lbRecovertime)`
`void` | `setLbRetries(java.lang.Integer lbRetries)`
`void` | `setLbStickySession(java.lang.Boolean lbStickySession)`
`void` | `setWorker(java.lang.String worker)`
`void` | `setWorkerClusterDomain(java.lang.String workerClusterDomain)`
`void` | `setWorkerDisabled(java.lang.Boolean workerDisabled)`
`void` | `setWorkerLb(java.lang.String workerLb)`
`void` | `setWorkerLoadFactor(java.lang.Integer workerLoadFactor)`
`void` | `setWorkerRedirect(java.lang.String workerRedirect)`
`void` | `setWorkerStopped(java.lang.Boolean workerStopped)`
`void` | `setWorkerType(java.lang.String workerType)`

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getCharset, getPassword, getUrl, getUsername, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JKStatusUpdateTask

    public JKStatusUpdateTask()

Method Detail

### getInternalid

    public int getInternalid()

  Returns:
    Returns the internalid.

### setInternalid

    public void setInternalid(int internalid)

  Parameters:
    `internalid` - The internalid to set.

### getLbForceSession

    public java.lang.Boolean getLbForceSession()

  Returns:
    Returns the lbForceSession.

### setLbForceSession

    public void setLbForceSession(java.lang.Boolean lbForceSession)

  Parameters:
    `lbForceSession` - The lbForceSession to set.

### getLbRecovertime

    public java.lang.Integer getLbRecovertime()

  Returns:
    Returns the lbRecovertime.

### setLbRecovertime

    public void setLbRecovertime(java.lang.Integer lbRecovertime)

  Parameters:
    `lbRecovertime` - The lbRecovertime to set.

### getLbRetries

    public java.lang.Integer getLbRetries()

  Returns:
    Returns the lbRetries.

### setLbRetries

    public void setLbRetries(java.lang.Integer lbRetries)

  Parameters:
    `lbRetries` - The lbRetries to set.

### getLbStickySession

    public java.lang.Boolean getLbStickySession()

  Returns:
    Returns the lbStickySession.

### setLbStickySession

    public void setLbStickySession(java.lang.Boolean lbStickySession)

  Parameters:
    `lbStickySession` - The lbStickySession to set.

### getWorker

    public java.lang.String getWorker()

  Returns:
    Returns the worker.

### setWorker

    public void setWorker(java.lang.String worker)

  Parameters:
    `worker` - The worker to set.

### getWorkerType

    public java.lang.String getWorkerType()

  Returns:
    Returns the workerType.

### setWorkerType

    public void setWorkerType(java.lang.String workerType)

  Parameters:
    `workerType` - The workerType to set.

### getWorkerLb

    public java.lang.String getWorkerLb()

  Returns:
    Returns the workerLb.

### setWorkerLb

    public void setWorkerLb(java.lang.String workerLb)

  Parameters:
    `workerLb` - The workerLb to set.

### getWorkerClusterDomain

    public java.lang.String getWorkerClusterDomain()

  Returns:
    Returns the workerClusterDomain.

### setWorkerClusterDomain

    public void setWorkerClusterDomain(java.lang.String workerClusterDomain)

  Parameters:
    `workerClusterDomain` - The workerClusterDomain to set.

### getWorkerDisabled

    public java.lang.Boolean getWorkerDisabled()

  Returns:
    Returns the workerDisabled.

### setWorkerDisabled

    public void setWorkerDisabled(java.lang.Boolean workerDisabled)

  Parameters:
    `workerDisabled` - The workerDisabled to set.

### getWorkerStopped

    public java.lang.Boolean getWorkerStopped()

  Returns:
    Returns the workerStopped.

### setWorkerStopped

    public void setWorkerStopped(java.lang.Boolean workerStopped)

  Parameters:
    `workerStopped` - The workerStopped to set.

### getWorkerLoadFactor

    public java.lang.Integer getWorkerLoadFactor()

  Returns:
    Returns the workerLoadFactor.

### setWorkerLoadFactor

    public void setWorkerLoadFactor(java.lang.Integer workerLoadFactor)

  Parameters:
    `workerLoadFactor` - The workerLoadFactor to set.

### getWorkerRedirect

    public java.lang.String getWorkerRedirect()

  Returns:
    Returns the workerRedirect.

### setWorkerRedirect

    public void setWorkerRedirect(java.lang.String workerRedirect)

  Parameters:
    `workerRedirect` - The workerRedirect to set.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

### checkParameter

    protected void checkParameter()

  check correct lb and worker pararmeter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.